Subject: Re: bug#11612: 24.1; Defaults create warning on startup

From: Noam Postavsky <[email-masked]>
Date: Sat, 25 Jun 2016 11:30:58 -0400

On Sat, Jun 25, 2016 at 10:18 AM, Eli Zaretskii <[email-masked]> wrote:
>>     Use of `C:\.emacs' to define `HOME' is deprecated, see (emacs)
>> `Windows Home'
>
> I don't think this is significantly more clear than the current text.
> "Use of `C:\.emacs' to define `HOME'" is only understandable by people
> who know how Emacs on Windows defines HOME when it is not defined in
> the environment.  If we want to come up with a better text, let's make
> it very clear.
>
> How about this text instead:
>
>   Use of `C:\.emacs' without defining `HOME' in the environment is deprecated, see `Windows Home' in the Emacs manual.

Looks good; I was trying to keep it short, but probably I went too short.